package com.ruoyi.syzy.domain;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 高考资讯对象 b_www_news
 *
 * @author mingxue
 * @date 2021-07-26
 */
public class BWwwNews extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;
    private List<String> ids;

    /** 类别 */
    @Excel(name = "类别")
    private String type;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 来源 */
    @Excel(name = "来源")
    private String f;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendDate;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 点击数 */
    @Excel(name = "点击数")
    private Long clicked;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private String tag;
    private String keywords;
    private String description;
    private Integer isTop;
    private String location;
    private String url;

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setF(String f) {
        this.f = f;
    }

    public String getF() {
        return f;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    public Date getSendDate() {
        return sendDate;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setClicked(Long clicked) {
        this.clicked = clicked;
    }

    public Long getClicked() {
        return clicked;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("type", getType())
            .append("title", getTitle()).append("f", getF()).append("sendDate", getSendDate()).append("content", getContent())
            .append("createtime", getCreateTime()).append("clicked", getClicked()).append("status", getStatus()).toString();
    }
}
